MyGUI::MenuControl::ItemInfo Struct Reference

`#include <MyGUI_MenuControl.h>`

## Public Member Functions

| ItemInfo (MenuItem *_item, const UString &_name, MenuItemType _type, MenuControl *_submenu, std::string_view _id, Any _data)

## Data Fields

MenuItem * | item
UString | name
MenuItemType | type
MenuControl * | submenu
std::string | id
Any | data
int | width {0}

## Detailed Description

Definition at line 34 of file MyGUI_MenuControl.h.

## Constructor & Destructor Documentation

## ItemInfo()

MyGUI::MenuControl::ItemInfo::ItemInfo | ( | MenuItem * | _item,
|  | const UString & | _name,
|  | MenuItemType | _type,
|  | MenuControl * | _submenu,
|  | std::string_view | _id,
|  | Any | _data )

inline

Definition at line 36 of file MyGUI_MenuControl.h.

## Field Documentation

## data

Any MyGUI::MenuControl::ItemInfo::data

User data

Definition at line 63 of file MyGUI_MenuControl.h.

## id

std::string MyGUI::MenuControl::ItemInfo::id

Item id

Definition at line 61 of file MyGUI_MenuControl.h.

## item

MenuItem* MyGUI::MenuControl::ItemInfo::item

Item

Definition at line 53 of file MyGUI_MenuControl.h.

## name

UString MyGUI::MenuControl::ItemInfo::name

Item name

Definition at line 55 of file MyGUI_MenuControl.h.

## submenu

MenuControl* MyGUI::MenuControl::ItemInfo::submenu

Sub menu (or nullptr if no submenu)

Definition at line 59 of file MyGUI_MenuControl.h.

## type

MenuItemType MyGUI::MenuControl::ItemInfo::type

Widget have separator after item

Definition at line 57 of file MyGUI_MenuControl.h.

## width

int MyGUI::MenuControl::ItemInfo::width {0}

Item width

Definition at line 65 of file MyGUI_MenuControl.h.

The documentation for this struct was generated from the following file:

- MyGUI_MenuControl.h